Status: Open

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19549

Description

User-input metadata (Title, abstract, etc.) are saved in the project only. IMHO they should be saved in the style as well, to make them

portable along with the layer.

History

#1 - 2014-09-23 12:34 AM - Matthias Kuhn

We should consider renaming style to "layer definition".

I see the benefit of portable layer information but it doesn't fit to the term style for me.

#2 - 2014-09-23 12:36 AM - Paolo Cavallini

Agreed fully.

#3 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2017-09-22 12:13 PM - Michael Douchin

- Affected QGIS version changed from 2.4.0 to 2.18.13

Indeed, these information are saved in exported QLR, but not in exported QML. They should, regardless of the "style" vocabulary used inside QGIS to

speak about "layer configurations".

#5 - 2018-03-07 04:35 PM - Paolo Cavallini

- Category changed from Vectors to Symbology

- Affected QGIS version changed from 2.18.13 to 3.0.0

Still true for QGIS 3.
